Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyDialog Class Reference

`#include <PropertyDialog.h>`

List of all members.

## Public Slots

- void populatePropertiesList ()
- void update ()
    Manages observers change notification.
- void selectNode (node)
- void selectEdge (edge)
- void changePropertyName (QListWidgetItem *, QListWidgetItem *)
- void newProperty ()
- void removeProperty ()
- void cloneProperty ()
- void toStringProperty ()
- void filterSelection (bool)
- void setAllValue ()

## Signals

- void tulipAllNodePropertyChanged (Graph *, const QString &property, const QString &value)
- void tulipAllEdgePropertyChanged (Graph *, const QString &property, const QString &value)
- void newPropertySignal (Graph *, const std::string &)
- void removePropertySignal (Graph *, const std::string &)

## Public Member Functions

- PropertyDialog (QWidget *parent=0)
- ~PropertyDialog ()
- void setGraph (Graph *)

## Constructor & Destructor Documentation

tlp::PropertyDialog::PropertyDialog | ( | QWidget * | parent = `0` | ) |

tlp::PropertyDialog::~PropertyDialog | ( |  | ) |

## Member Function Documentation

void tlp::PropertyDialog::changePropertyName | ( | QListWidgetItem * | ,
|  | QListWidgetItem * |
| ) | `[slot]`

void tlp::PropertyDialog::cloneProperty | ( |  | ) | `[slot]`

void tlp::PropertyDialog::filterSelection | ( | bool |  | ) | `[slot]`

void tlp::PropertyDialog::newProperty | ( |  | ) | `[slot]`

void tlp::PropertyDialog::newPropertySignal | ( | Graph * | ,
|  | const std::string & |
| ) | `[signal]`

void tlp::PropertyDialog::populatePropertiesList | ( |  | ) | `[slot]`

void tlp::PropertyDialog::removeProperty | ( |  | ) | `[slot]`

void tlp::PropertyDialog::removePropertySignal | ( | Graph * | ,
|  | const std::string & |
| ) | `[signal]`

void tlp::PropertyDialog::selectEdge | ( | edge |  | ) | `[slot]`

void tlp::PropertyDialog::selectNode | ( | node |  | ) | `[slot]`

void tlp::PropertyDialog::setAllValue | ( |  | ) | `[slot]`

void tlp::PropertyDialog::setGraph | ( | Graph * |  | ) |

void tlp::PropertyDialog::toStringProperty | ( |  | ) | `[slot]`

void tlp::PropertyDialog::tulipAllEdgePropertyChanged | ( | Graph * | ,
|  | const QString & | property,
|  | const QString & | value
| ) | `[signal]`

void tlp::PropertyDialog::tulipAllNodePropertyChanged | ( | Graph * | ,
|  | const QString & | property,
|  | const QString & | value
| ) | `[signal]`

void tlp::PropertyDialog::update | ( |  | ) | `[slot]`

| Manages observers change notification.

Tulip Software by LaBRI Visualization Team 2001 - 2010